# TODO:
# - logrotate file
Summary:	Icecast - streaming MP3 and Ogg server
Summary(es.UTF-8):	Un servidor de streams MP3, Ogg
Summary(pl.UTF-8):	Icecast - serwer strumieni MP3 i Ogg
Summary(pt_BR.UTF-8):	Um servidor de streams MP3, Ogg
Name:		icecast
Version:	2.4.2
Release:	1
Epoch:		2
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://downloads.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
# Source0-md5:	55947c83d31dfcbbede58c9521c676f4
Source1:	%{name}.init
URL:		http://www.icecast.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	libkate-devel
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	speex-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(icecast)
Provides:	user(icecast)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
Icecast is an Internet based broadcasting system based on the Mpeg
Layer III streaming technology. It was originally inspired by
Nullsoft's Shoutcast and also mp3serv by Scott Manley. The icecast
project was started for several reasons: a) all broadcasting systems
were pretty much closed source, non-free software implementations, b)
Shoutcast doesn't allow you to run your own directory servers, or
support them, and c) we thought it would be a lot of fun.

%description -l es.UTF-8
Icecast es un sistema de Transmisión (broadcast) en Internet que
utiliza la tecnología MP3.

%description -l pl.UTF-8
Icecast to internetowy serwer rozsyłający strumienie MPEG Layer III.
Oryginalnie zainspirowany przez Shoutcast firmy Nullsoft oraz program
mp3serv autorstwa Scotta Manleya. Projekt icecast2 został rozpoczęty z
kilku powodów: a) wszystkie systemy broadcastowe były ładnymi,
zamkniętymi programami, non-free, b) Shoutcast nie pozwala na
wystartowanie swoich własnych directory servers czy wspierać ich, c)
to niezła zabawa.

%description -l pt_BR.UTF-8
O Icecast é um sistema de broadcast na Internet que utiliza a
tecnologia MP3.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/log/icecast}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/icecast/{AUTHORS,COPYING,ChangeLog,NEWS,README,TODO}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 57 icecast
%useradd -u 57 -r -d /usr/share/empty -s /bin/false -c "Streamcast" -g icecast icecast

%post
/sbin/chkconfig --add icecast
%service icecast restart "icecast daemon"

%preun
if [ "$1" = "0" ] ; then
	%service icecast stop
	/sbin/chkconfig --del icecast >&2
fi

%postun
if [ "$1" = "0" ]; then
	%userremove icecast
	%groupremove icecast
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_docdir}/icecast
%attr(754,root,root) /etc/rc.d/init.d/icecast
%attr(755,root,root) %{_bindir}/icecast
%attr(750,root,icecast) %dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast.xml
%{_datadir}/icecast
%attr(770,root,icecast) %config(noreplace) %verify(not md5 mtime size) /var/log/icecast
%changelog
* Tue Apr 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icecast.git;a=log;h=master

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 19eb4e5
- updated to 2.4.2

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 8a019cb
- updated to 2.4.1

* Wed May 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 4890829
- updated to 2.4.0

* Thu Jun 14 2012 Jakub Bogusz <qboosh@pld-linux.org> de8d3ea
- updated to 2.3.3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> b4f1f6a
- release 3

* Sun May 16 2010 sparky <sparky@pld-linux.org> 31b507e
- BR: pkgconfig

* Sat Apr 17 2010 Artur Frysiak <artur@frysiak.net> d2a8d48
- relese 2 (openssl)

* Wed Jun 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 09e7583
- updated to 2.3.2
- removed obsolete curl patch
- GPL v2

* Wed Jun 11 2008 Jakub Bogusz <qboosh@pld-linux.org> d4238ab
- obsolete

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 09dda0f
- release 6

* Sun Mar 18 2007 Elan Ruusamäe <glen@pld-linux.org> dff5a48
- use functions

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6531bfb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be02090
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a6b36fd
- rel 4

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c8973e
- new

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 8faae4e
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

* Wed Jun 07 2006 ankry <ankry@pld-linux.org> 8bb6a76
- fix for useradd from pwdutils, rel. 2

* Mon May 22 2006 blaass <blaass@pld-linux.org> 1ccf5dc
- spelling fix

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> c848b57
- orphaned, outdated

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 9799478
- use %service

